
	@keyframes svelte-1jow0qs-spell-text-marquee-slide-vertical {
		to {
			transform: translateY(var(--spell-text-marquee-destination));
		}
	}

	.spell-text-marquee__viewport.svelte-1jow0qs {
		mask-image: linear-gradient(
			rgba(0, 0, 0, 0) 0%,
			rgb(0, 0, 0) 43.6902%,
			rgba(0, 0, 0, 0) 100%
		);
		-webkit-mask-image: linear-gradient(
			rgba(0, 0, 0, 0) 0%,
			rgb(0, 0, 0) 43.6902%,
			rgba(0, 0, 0, 0) 100%
		);
	}

	.spell-text-marquee__item.svelte-1jow0qs {
		--spell-text-marquee-origin: calc(
			(var(--spell-text-marquee-count) - var(--spell-text-marquee-index)) * 100%
		);
		--spell-text-marquee-destination: calc((var(--spell-text-marquee-index) + 1) * -100%);
		--spell-text-marquee-duration: calc(
			var(--spell-text-marquee-speed) * var(--spell-text-marquee-count) * 1s
		);
		--spell-text-marquee-delay: calc(
			(var(--spell-text-marquee-duration) / var(--spell-text-marquee-count)) *
				var(--spell-text-marquee-index) - var(--spell-text-marquee-duration)
		);

		height: var(--spell-text-marquee-item-height);
		transform: translateY(var(--spell-text-marquee-origin));
		animation: svelte-1jow0qs-spell-text-marquee-slide-vertical var(--spell-text-marquee-duration)
			var(--spell-text-marquee-delay) infinite linear;
		will-change: transform;
	}
